Bug 1441004 - ipython-6.0.0 is available
Summary: ipython-6.0.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ipython
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1444615
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 00:14 UTC by Upstream Release Monitoring
Modified: 2017-05-10 13:29 UTC (History)
10 users (show)

Fixed In Version: ipython-6.0.0-1.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-10 13:29:48 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 6.0.0rc1 (#1441004) (993 bytes, patch)
2017-04-11 00:14 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 6.0.0 (#1441004) (981 bytes, patch)
2017-04-20 00:15 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-04-11 00:14:37 UTC
Latest upstream release: 6.0.0rc1
Current version/release in rawhide: 5.3.0-4.fc27
URL: https://ipython.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1399/

Comment 1 Upstream Release Monitoring 2017-04-11 00:14:45 UTC
Created attachment 1270601 [details]
[patch] Update to 6.0.0rc1 (#1441004)

Comment 2 Upstream Release Monitoring 2017-04-11 00:16:57 UTC
hotness's scratch build of ipython-6.0.0rc1-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=18918384

Comment 3 Miro Hrončok 2017-04-11 09:16:46 UTC
form the above build.log: "Beginning with IPython 6.0, Python 3.3 and above is required."

I suppose we should create python2-ipython package in rawhide soon and migrate the python2 bits in there. I could certainly do it, but I don't want to end up maintaining a Python 2 only package that i don't want/need. Or I can do it and orphan it immediately :)

Thoughts?

Comment 4 Miro Hrončok 2017-04-11 10:43:42 UTC
6.0.0rc1 ready at https://github.com/fedora-python/ipython/tree/ipython6

Koji scratch build in progress at https://koji.fedoraproject.org/koji/taskinfo?taskID=18923910

Comment 5 Thomas Spura 2017-04-11 20:08:54 UTC
(In reply to Miro Hrončok from comment #3)
> form the above build.log: "Beginning with IPython 6.0, Python 3.3 and above
> is required."
> 
> I suppose we should create python2-ipython package in rawhide soon and
> migrate the python2 bits in there. I could certainly do it, but I don't want
> to end up maintaining a Python 2 only package that i don't want/need. Or I
> can do it and orphan it immediately :)
> 
> Thoughts?

I would also not be willing to maintain the Python 2 only package... Maybe someone on the devel or python-devel list wants to pick it up? Might be still needed/wanted on epel and someone jumps in?

Comment 6 Upstream Release Monitoring 2017-04-20 00:15:13 UTC
Latest upstream release: 6.0.0
Current version/release in rawhide: 5.3.0-4.fc27
URL: https://ipython.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1399/

Comment 7 Upstream Release Monitoring 2017-04-20 00:15:32 UTC
Created attachment 1272823 [details]
[patch] Update to 6.0.0 (#1441004)

Comment 8 Upstream Release Monitoring 2017-04-20 00:17:56 UTC
hotness's scratch build of ipython-6.0.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=19087495

Comment 9 Lumír Balhar 2017-04-20 07:40:42 UTC
I've tested Miro's build of IPython 6.0.0rc1 in rawhide and everything looks good to me.

If we cannot find somebody who wants to be a maintainer of python2-ipython, maybe I can do it. I don't use this package and I want to move everything forward to Python 3 as soon as possible but I don't want this split to be a problem for the update of ipython.

Comment 10 Miro Hrončok 2017-04-20 07:46:08 UTC
Lumír, that would be great and you can always orphan it later. Will you prepare python2-ipython for a review?

Comment 11 Lumír Balhar 2017-04-20 08:25:13 UTC
(In reply to Miro Hrončok from comment #10)
> Lumír, that would be great and you can always orphan it later. Will you
> prepare python2-ipython for a review?

Ok, I am gonna prepare it.

Comment 12 Miro Hrončok 2017-04-21 10:24:39 UTC
6.0.0 https://koji.fedoraproject.org/koji/taskinfo?taskID=19125155

Comment 13 Miro Hrončok 2017-05-10 13:24:55 UTC
Building in rawhide.

Comment 14 Upstream Release Monitoring 2017-05-10 13:29:20 UTC
churchyard's ipython-6.0.0-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=888997


Note You need to log in before you can comment on or make changes to this bug.